"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const curry_1 = __importDefault(require("lodash/curry"));
const noodl_common_1 = require("noodl-common");
const chai_1 = require("chai");
const com = __importStar(require("../utils"));
describe(noodl_common_1.coolGold(`utils`), () => {
    describe(noodl_common_1.italic(`createPlaceholderReplacers`), () => {
        it(`should compose replacers and still generate the expected output`, () => {
            const cadlVersion = '0.201';
            const cadlBaseUrl = 'https://google.com';
            const replacer = com.createPlaceholderReplacers([
                ['${cadlBaseUrl}', cadlBaseUrl],
                ['~/', ''],
                ['${cadlVersion}', cadlVersion],
            ], 'g');
            chai_1.expect(replacer(JSON.stringify({
                cadlBaseUrl: 'https://public.aitmed.com/cadl/meet2_${cadlVersion}/',
                baseUrl: '${cadlBaseUrl}',
                assetsUrl: '${cadlBaseUrl}assets/',
                version: { web: { cadlVersion: { stable: '0.1', test: '0.18d' } } },
                url: 'https://fsaasfasfas.com/config/aimed.${cadlVersion}v/',
            }))).to.eq(JSON.stringify({
                cadlBaseUrl: `https://public.aitmed.com/cadl/meet2_${cadlVersion}/`,
                baseUrl: cadlBaseUrl,
                assetsUrl: `${cadlBaseUrl}assets/`,
                version: { web: { cadlVersion: { stable: '0.1', test: '0.18d' } } },
                url: `https://fsaasfasfas.com/config/aimed.${cadlVersion}v/`,
            }));
        });
    });
    describe(noodl_common_1.italic(`createPlaceholderReplacer`), () => {
        const getReplacerResults = curry_1.default((placeholder, str, value) => {
            const replacer = com.createPlaceholderReplacer(placeholder, 'g');
            return replacer(str, value);
        });
        it(`should create a function that replaces placeholders`, () => {
            const getTempStr = (s) => `abc${s}mkdmk2;km`;
            chai_1.expect(getReplacerResults('${cadlBaseUrl}', getTempStr('${cadlBaseUrl}'), 3001)).to.eq(getTempStr(3001));
            chai_1.expect(getReplacerResults('${designSuffix}', getTempStr('${designSuffix}'), 3001)).to.eq(getTempStr(3001));
            chai_1.expect(getReplacerResults('${cadlVersion}', getTempStr('${cadlVersion}'), 3001)).to.eq(getTempStr(3001));
        });
    });
});
//# sourceMappingURL=utils.test.js.map