/// <reference types="node" />
import { Dirent } from 'fs';
export interface File {
    dirent: Dirent;
    name: string;
    path: string;
}
export interface MetadataObject {
    ext: string;
    filename: string;
    filepath: string;
    group: MetadataGroup;
}
export declare type MetadataGroup = 'config' | 'document' | 'image' | 'page' | 'script' | 'video';
export declare namespace Message {
    interface Base {
        type: string;
        from?: 'webext';
        [key: string]: any;
    }
    interface TrackProperty extends Base {
        type: 'track';
        key: string;
        label: string;
        color?: string;
        [key: string]: any;
    }
}
