import { Document } from 'yaml';
import { MetadataObject } from './types';
export declare function createPlaceholderReplacers(replacers: [string, any][], flags?: string): (str: string | Record<string, any>) => string;
export declare function createPlaceholderReplacer(placeholders: string | string[], flags?: string): {
    (str: string, value: string | number): string;
    <Obj extends Record<string, any> = any>(obj: Obj, value: string | number): Obj;
};
export declare function ensureBeginsWithSingleSlash(s: string): string;
export declare function ensurePageName(s: string): string;
export declare function getExt(str: string): string;
export declare function isImg(s: string): boolean;
export declare function isVid(s: string): boolean;
export declare function isYml(s: string): boolean;
export declare function isPageDoc(doc: Document | Document.Parsed | undefined | null): boolean;
export declare function loadFile(filepath: string): string;
export declare const getMetadataObject: (value: string, { config }?: {
    config?: string | undefined;
}) => MetadataObject;
export declare const replaceBaseUrlPlaceholder: {
    (str: string, value: string | number): string;
    <Obj extends Record<string, any> = any>(obj: Obj, value: string | number): Obj;
};
export declare const replaceDesignSuffixPlaceholder: {
    (str: string, value: string | number): string;
    <Obj extends Record<string, any> = any>(obj: Obj, value: string | number): Obj;
};
export declare const replaceTildePlaceholder: {
    (str: string, value: string | number): string;
    <Obj extends Record<string, any> = any>(obj: Obj, value: string | number): Obj;
};
export declare const replaceVersionPlaceholder: {
    (str: string, value: string | number): string;
    <Obj extends Record<string, any> = any>(obj: Obj, value: string | number): Obj;
};
export declare function request(url: string): Promise<unknown>;
